
Figure - Bug #111586
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110868 (New): BSP-BVT测试-上/下电测试

【BSP】【EVT】【power】【必现】开机很慢耗时2min，存在多处error和crash
2022-08-31 10:11 - SZTS_TEST 邹涛

Status: 完成 Closed Start date: 2022-08-31

Priority: High Due date:

Assignee: CDTS-TEST 周婷 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: 0.0.0.20220830_alpha_private_user

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于关机状态

操作步骤：

1、上电开机，记录进入launcher页面的耗时

实际结果：

1、上电到进入launcher页面耗时约2min

2、开机过程中存在多处erro和crash

预期结果

1、开机过程中没有任何erro和crash，开机耗时短

History

#1 - 2022-08-31 10:39 - CD TPM-申艳艳

- Assignee changed from SZ 系统-张丽果 to CD SYSTEM-胡兵

#2 - 2022-08-31 10:49 - SZTS_TEST 邹涛

- File Serial-COM119_20220831095204.log added

#3 - 2022-08-31 11:32 - CD TPM-申艳艳

- Status changed from New to 分析&分解中 In Analysis

#4 - 2022-08-31 15:46 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CD SYSTEM-龚元祝

#5 - 2022-09-01 18:34 - CD SYSTEM-龚元祝

- Category set to 714

行  864: [09:52:44][   11.204541] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行  915: [09:52:44][   11.457032] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行  965: [09:52:44][   11.705835] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1014: [09:52:45][   11.952851] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0
    行 1062: [09:52:45][   12.196211] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1111: [09:52:45][   12.443133] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1159: [09:52:45][   12.686450] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1208: [09:52:46][   12.933388] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1256: [09:52:46][   13.176695] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1305: [09:52:46][   13.423570] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1353: [09:52:47][   13.868039] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1401: [09:52:47][   14.111391] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1450: [09:52:47][   14.358277] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1498: [09:52:48][   14.804021] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1561: [09:52:48][   15.139176] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1610: [09:52:48][   15.386441] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1698: [09:52:49][   16.405893] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1749: [09:52:50][   16.658495] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1799: [09:52:50][   16.907485] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1848: [09:52:50][   17.154513] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1896: [09:52:50][   17.397941] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1945: [09:52:51][   17.644954] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 1993: [09:52:51][   17.888427] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 2042: [09:52:51][   18.135455] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 2090: [09:52:51][   18.378878] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 2139: [09:52:51][   18.625888] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 2187: [09:52:52][   19.072035] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 2235: [09:52:52][   19.315464] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 2284: [09:52:52][   19.562468] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

    行 2332: [09:52:53][   20.008009] WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

PCIE0 1 2驱动初始化时，由于pcie0和pcie2设备并没有相应的GPIO，驱动仍调用了gpio_request造成warning，并导致启动时间多耗时8s多。

代码已完善，提交如下：

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/146031

结果已验证：

修改前：    行 3255: [   35.273591] init: init first stage started!

修改后    行 1428: [   27.101965] init: init first stage started!

开机时间提升8.172s。 PCIE驱动无报错。

#6 - 2022-09-01 21:10 - CD SYSTEM-龚元祝

jenkins:

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/1032/

#7 - 2022-09-06 16:23 - CD SYSTEM-龚元祝

- Resolution changed from -- to DUPLICATE

开机时间优化统一在111192处理。

https://share.thundersoft.com/redmine/issues/111192
#8 - 2022-09-06 16:24 - CD SYSTEM-龚元祝

- Assignee changed from CD SYSTEM-龚元祝 to SZTS_TEST 邹涛

#9 - 2022-09-15 11:38 - SZTS_TEST 邹涛

- File Serial-COM119_20220915111859.log added

- File l0915_user.txt added

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220914/202209142324-1277/FlatBuild_VX1_MCE_xx.xx_FSE.V.user.0.0.0.20220915.alpha.zip

烧录上面版本验证，记录板子上电到屏幕正常显示launcher画面的时间为24s左右

#10 - 2022-10-18 10:27 - CDTS-TEST 周婷

- Assignee changed from SZTS_TEST 邹涛 to CD SYSTEM-龚元祝

请根据提供文件&log 进行分析

#11 - 2022-10-25 15:17 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V3.0_20221030

请尽快更新bug 进展

#12 - 2022-10-25 15:33 - CD SYSTEM-龚元祝

- Assignee changed from CD SYSTEM-龚元祝 to CDTS_TEST 王成

- Resolution changed from DUPLICATE to FIXED

1 开机时间优化统一在111192处理。此票移除此问题。

https://share.thundersoft.com/redmine/issues/111192

2  开机出现多次error的问题。

WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

如下代码提交已解决。

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/146031

3 循环重启发生crash的问题，疑似camera.provider造成，已在[[112554]]中裁剪。

请用25日后的DB验证，看是否还会出现。

#13 - 2022-10-25 17:26 - CDTS-TEST 周婷

- Status changed from 分析&分解中 In Analysis to 进行中 In Progress

请更新bug 状态

#14 - 2022-10-25 17:27 - CDTS-TEST 周婷

- Assignee changed from CDTS_TEST 王成 to CD SYSTEM-龚元祝
#15 - 2022-10-26 10:20 - CD SYSTEM-龚元祝

- % Done changed from 0 to 100

#16 - 2022-10-26 10:27 - CD SYSTEM-龚元祝

- Assignee changed from CD SYSTEM-龚元祝 to CDTS_TEST 王成

#17 - 2022-10-26 10:33 - CDTS-TEST 周婷

- Status changed from 进行中 In Progress to 解决 Resolved

元祝 请更新备注

#18 - 2022-10-26 10:35 - CD SYSTEM-龚元祝

1 开机时间优化统一在111192处理。此票移除此问题。

https://share.thundersoft.com/redmine/issues/111192

2 开机出现多次error的问题。

WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

如下代码提交已解决。

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/146031

3 循环重启发生crash的问题，疑似camera.provider造成，已在112554中裁剪。

请用25日后的DB验证，看是否还会出现。

#19 - 2022-10-28 10:18 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

#20 - 2022-10-28 16:48 - 移动测试一组_CDTS 刘强

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#21 - 2022-11-01 17:02 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-龚元祝

请修改下Bug状态

#22 - 2022-11-02 13:47 - 移动测试一组_CDTS 刘强

2：

WARNING: CPU: 7 PID: 1 at drivers/gpio/gpiolib.c:123 gpio_to_desc+0xac/0xc0

这个报错已经消失了，但是还有以下error，：

[  115.068683] [drm:dsi_display_set_backlight] ERROR [msm-dsi-error]: unable to set backlight

[  115.082804] [drm:dsi_display_set_backlight] ERROR [msm-dsi-error]: unable to set backlight

和VC1背光调节一起合入

3：

camera.provider，重启5次，串口日志没有camera.provider相关日志出现
脚本循环启动1000次，设备没有出现crash无法启动的情况，但是有以下日志：

    Line 76214: [   39.720786] init: Control message: Could not find 'android.hardware.camera.provider@2.4::ICameraProvider/legacy/0' for ctl.interface_start from pid: 502

(/system/bin/hwservicemanager)

    Line 105192: [   39.508655] init: Control message: Could not find 'android.hardware.camera.provider@2.4::ICameraProvider/legacy/0' for ctl.interface_start from pid: 504

(/system/bin/hwservicemanager)

    Line 150106: [   40.019514] init: Control message: Could not find 'android.hardware.camera.provider@2.4::ICameraProvider/legacy/0' for ctl.interface_start from pid: 502

(/system/bin/hwservicemanager)

    Line 212733: [   39.378028] init: Control message: Could not find 'android.hardware.camera.provider@2.4::ICameraProvider/legacy/0' for ctl.interface_start from pid: 504

(/system/bin/hwservicemanager)

#23 - 2022-11-02 13:49 - CDTS-TEST 周婷

- Status changed from 解决 Resolved to 进行中 In Progress

请继续修改

#24 - 2022-11-08 10:09 - CD SYSTEM-龚元祝

- Assignee changed from CD SYSTEM-龚元祝 to CD BSP-余霄

Line 76214: [ 39.720786] init: Control message: Could not find 'android.hardware.camera.provider@2.4::ICameraProvider/legacy/0' for ctl.interface_start from pid: 502

(/system/bin/hwservicemanager)

Line 105192: [ 39.508655] init: Control message: Could not find 'android.hardware.camera.provider@2.4::ICameraProvider/legacy/0' for ctl.interface_start from pid: 504

(/system/bin/hwservicemanager)

Line 150106: [ 40.019514] init: Control message: Could not find 'android.hardware.camera.provider@2.4::ICameraProvider/legacy/0' for ctl.interface_start from pid: 502

(/system/bin/hwservicemanager)

Line 212733: [ 39.378028] init: Control message: Could not find 'android.hardware.camera.provider@2.4::ICameraProvider/legacy/0' for ctl.interface_start from pid: 504

(/system/bin/hwservicemanager)

这个是上层调用去启动，不用管。

[ 115.068683] [drm:dsi_display_set_backlight] ERROR [msm-dsi-error]: unable to set backlight

[ 115.082804] [drm:dsi_display_set_backlight] ERROR [msm-dsi-error]: unable to set backlight

这个要余霄那边看看。

#25 - 2022-11-08 10:14 - CD BSP-余霄

- Assignee changed from CD BSP-余霄 to CD SYSTEM-龚元祝

这个只是返回值判断错误报错，背光能正常设置。

目前与VC1 IV2屏幕背光CODE一起合入，11.4号版本已修复。

#26 - 2022-11-08 10:30 - CD SYSTEM-龚元祝

- Assignee changed from CD SYSTEM-龚元祝 to CDTS_TEST 刘勇

#27 - 2022-11-09 10:20 - CDTS-TEST 周婷

- Status changed from 进行中 In Progress to 解决 Resolved
请帮忙验证

#28 - 2022-11-10 15:24 - CDTS_TEST 刘勇

- File Serial_COM5_EVT2-VX1_ToLauncher88s-ToAnimation59S_t2.txt added

- File Serial_COM5_EVT2-VC1_ToLauncher88s-ToAnimation59S_t2.TXT added

【HW】EVT2-VX1及屏、EVT2-VC1及屏

【SW】EVT2-VX1:FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0045.X101

【操作步骤】

1、上电开机，记录进入launcher页面的耗时

【实际结果】：

1、开机过程中无Error,有Warning，开机耗时88s ,上电到卡机动画为55秒、上电到进入launcher页面为88秒.

Line 1242: [14:59:51.768] [   20.709247] init: [libfs_mgr]Warning: unknown flag: resize

【验证次数】5次（这警告不用管 这是fstab里面挂载分区时的其中一个flag）

【验证结果】PASS

#29 - 2022-11-10 15:26 - CDTS_TEST 刘勇

- File Serial_COM5_EVT2-VX1_ToLauncher88s-ToAnimation59S_t2.txt added

- Assignee changed from CDTS_TEST 刘勇 to SZTS_TEST 邹涛

【HW】EVT2-VX1及屏、EVT2-VC1及屏

【SW】EVT2-VX1:FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0045.X101

【操作步骤】

1、上电开机，记录进入launcher页面的耗时

【实际结果】：

1、开机过程中无Error,有Warning，开机耗时88s ,上电到卡机动画为55秒、上电到进入launcher页面为88秒.

Line 1242: [14:59:51.768] [   20.709247] init: [libfs_mgr]Warning: unknown flag: resize

【验证次数】5次（这警告不用管 这是fstab里面挂载分区时的其中一个flag）

【验证结果】PASS

#30 - 2022-11-18 19:12 - CDTS-TEST 周婷

- Assignee changed from SZTS_TEST 邹涛 to CDTS_TEST 刘勇

帮忙走下状态

#31 - 2022-11-21 19:54 - CDTS_TEST 刘勇

- Assignee changed from CDTS_TEST 刘勇 to CDTS-TEST 周婷

hi 周婷，帮忙走下状态到"关闭 Close"，刘勇没有权限修改状态 从"解决 Resolved"到"关闭 Close"

#32 - 2022-11-22 10:24 - CDTS-TEST 周婷

- Status changed from 解决 Resolved to 完成 Closed
#33 - 2022-11-30 15:40 - CDTS_TEST 王成

- Severity changed from Major to Critical

#34 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

146031 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

gongyz1203@thundersoft.com

SYSTEM:bootup: fix pcie init WARN1. optimize codeTC-RID: 1200-0800202IssueID: TS-R-DF-111586Change-Id:

I486d3aeda47fcc0970ed48339cfde3615c244fe9

Files

Serial-COM119_20220831095204.log 342 KB 2022-08-31 SZTS_TEST 邹涛

Serial-COM119_20220915111859.log 27.4 KB 2022-09-15 SZTS_TEST 邹涛

l0915_user.txt 3.46 MB 2022-09-15 SZTS_TEST 邹涛

Serial_COM5_EVT2-VX1_ToLauncher88s-ToAnimation59S_t2.txt 233 KB 2022-11-10 CDTS_TEST 刘勇

Serial_COM5_EVT2-VC1_ToLauncher88s-ToAnimation59S_t2.TXT 190 KB 2022-11-10 CDTS_TEST 刘勇

Serial_COM5_EVT2-VX1_ToLauncher88s-ToAnimation59S_t2.txt 233 KB 2022-11-10 CDTS_TEST 刘勇
